Subject: bug#53352: 29.0.50; IMAP INBOX not refreshing using `gnus-group-get-new-news'

From: Michael Welsh Duggan <[email-masked]>
Date: Sun, 23 Jan 2022 11:55:32 -0500

Lars Ingebrigtsen <[email-masked]> writes:

> Michael Welsh Duggan <[email-masked]> writes:
>
>>> I don't see any special handling of the folder called INBOX in nnimap.
>>> Do you have the INBOX group on a too-high level?  You said you're using
>>> a group activation level of 1, but not what the level of the INBOX group
>>> was.
>>
>> INBOX is at level 1.
>
> Could you try to (setq nnimap-record-commands t) and then `g' in Gnus
> and then post the contents of the *imap log* buffer?  That'll tell us
> which commands we're sending to the IMAP server.

I'm not going to send the whole list unless you believe it's necessary.
The log (after `g') consists of 122 lines as follows:

11:42:43 [md5i.com] 91340 EXAMINE "mail.misc" (QRESYNC (1044651295 71865))
11:42:43 [md5i.com] 91341 EXAMINE "mail.junk" (QRESYNC (1162282036 126251))

(I removed the ^M at the end of log lines for this email.)  This list
does not contain "INBOX".  If you actually need the full list, I can
send it, but the line above is representative of them all.

`M-g' on the INBOX group elicits the following:

11:50:58 [md5i.com] 91840 EXAMINE "INBOX" (QRESYNC (1374073954 6508))
11:50:58 [md5i.com] 91841 SELECT "INBOX"
11:50:58 [md5i.com] 91842 UID FETCH 1:* FLAGS
11:50:58 [md5i.com] 91843 EXPUNGE

Entering the server buffer and typing `RET' on the IMAP server yields:

11:51:44 [md5i.com] 91844 LIST "" "*"
11:51:44 [md5i.com] 91845 EXAMINE "Archive"
... [122 elided lines]
11:51:44 [md5i.com] 91968 EXAMINE "INBOX"

And, in case it's important, yes, the last entry is "INBOX" in that
last log snippet.

-- 
Michael Welsh Duggan
([email-masked])